Index: pro-bachkim-filespace/sourcecode/application/views/layout/footer.php
===================================================================
--- pro-bachkim-filespace/sourcecode/application/views/layout/footer.php	(revision 239)
+++ pro-bachkim-filespace/sourcecode/application/views/layout/footer.php	(revision 240)
@@ -1,12 +1,12 @@
-<?php 
+<?php
 $this->load->view('layout/contextmenu');
 $this->load->view('layout/modalform');
 ?>
 <!-- <script type="text/javascript">
-	window.jQuery || document.write("<script src='assets/js/jquery/jquery-1.11.1.min.js'>"+"<"+"/script>");
+        window.jQuery || document.write("<script src='assets/js/jquery/jquery-1.11.1.min.js'>"+"<"+"/script>");
 </script>
 
 <script type="text/javascript">
-	if("ontouchend" in document) document.write("<script src='assets/js/jquery/jquery.mobile.custom.min.js'>"+"<"+"/script>");
+        if("ontouchend" in document) document.write("<script src='assets/js/jquery/jquery.mobile.custom.min.js'>"+"<"+"/script>");
 </script>
 
@@ -33,24 +33,32 @@
 <script src="assets/js/bootstrap/bootstrap.min.js"></script>
 <script src="assets/js/bootstrap/bootbox.min.js"></script>
+<script src="assets/js/jquery.knob.js"></script>
 
+<!-- jQuery File Upload Dependencies -->
+<script src="assets/js/jquery.ui.widget.js"></script>
+<script src="assets/js/jquery.iframe-transport.js"></script>
+<script src="assets/js/jquery.fileupload.js"></script>
+
+<!-- Our main JS file -->
+<script src="assets/js/script.js"></script>
 <script src="assets/js/tree.js"></script>
 <script src="assets/js/grid.js"></script>
 <script src="assets/js/manager.js"></script>
-	<script type="text/javascript">
-		var data = {"DIRECTORIES":[{"id":"1","name":"Dir1","parentID":0},{"id":"2","name":"Dir2","parentID":0},{"id":"3","name":"Dir3","parentID":0},{"id":"4","name":"Dir1.1","parentID":"1"},{"id":"5","name":"Dir1.2","parentID":"1"},{"id":"15","name":"Dir1.3","parentID":"3"},{"id":"16","name":"Dir1.4","parentID":"15"},{"id":"17","name":"Dir1.5","parentID":"1"},{"id":"18","name":"Dir1.6","parentID":"1"},{"id":"19","name":"Dir1.7","parentID":"1"},{"id":"20","name":"Dir2.1","parentID":"2"}],"FILES":[{"id":"2","name":"File in root 1","parentID":0,"minetype":"text"}],"ERROR":{"err":"","errCode":0}}
-		if(jQuery){
-			var manager = $().violetFileManager({
-				host: '<?php echo base_url();?>',
-				tree: 'treeview-container',
-				grid: 'file-container',
-				maincontainer: 'main-content',
-				titlebar: 'title-bar',
-				toolsbar: 'tools-bar',
-				statusbar: 'status-bar',
-				datasource: 'ajax'/* 'json' ,
-				data: data */
-			});
-		}
-	</script>
+<script type="text/javascript">
+    var data = {"DIRECTORIES": [{"id": "1", "name": "Dir1", "parentID": 0}, {"id": "2", "name": "Dir2", "parentID": 0}, {"id": "3", "name": "Dir3", "parentID": 0}, {"id": "4", "name": "Dir1.1", "parentID": "1"}, {"id": "5", "name": "Dir1.2", "parentID": "1"}, {"id": "15", "name": "Dir1.3", "parentID": "3"}, {"id": "16", "name": "Dir1.4", "parentID": "15"}, {"id": "17", "name": "Dir1.5", "parentID": "1"}, {"id": "18", "name": "Dir1.6", "parentID": "1"}, {"id": "19", "name": "Dir1.7", "parentID": "1"}, {"id": "20", "name": "Dir2.1", "parentID": "2"}], "FILES": [{"id": "2", "name": "File in root 1", "parentID": 0, "minetype": "text"}], "ERROR": {"err": "", "errCode": 0}}
+    if (jQuery) {
+        var manager = $().violetFileManager({
+            host: '<?php echo base_url(); ?>',
+            tree: 'treeview-container',
+            grid: 'file-container',
+            maincontainer: 'main-content',
+            titlebar: 'title-bar',
+            toolsbar: 'tools-bar',
+            statusbar: 'status-bar',
+            datasource: 'ajax'/* 'json' ,
+             data: data */
+        });
+    }
+</script>
 </body>
 </html>
Index: pro-bachkim-filespace/sourcecode/application/views/layout/header.php
===================================================================
--- pro-bachkim-filespace/sourcecode/application/views/layout/header.php	(revision 239)
+++ pro-bachkim-filespace/sourcecode/application/views/layout/header.php	(revision 240)
@@ -9,4 +9,4 @@
 
 <link rel="stylesheet" href="assets/css/space/style.css" />
-
+<link href="assets/css/style.css" rel="stylesheet" />
 	</head>