Index: pro-violet-viettel/sourcecode/application/config/autoload.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/autoload.php	(revision 289)
+++ pro-violet-viettel/sourcecode/application/config/autoload.php	(revision 291)
@@ -53,5 +53,5 @@
 */
 
-$autoload['libraries'] = array('curl', 'xml', 'vservices');
+$autoload['libraries'] = array('curl', 'xml','database', 'vservices');
 
 
Index: pro-violet-viettel/sourcecode/application/config/config.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/config.php	(revision 289)
+++ pro-violet-viettel/sourcecode/application/config/config.php	(revision 291)
@@ -15,5 +15,5 @@
 |
 */
-$config['base_url']	= '';
+$config['base_url']	= 'http://viettel.violet.vn/';
 
 /*
Index: pro-violet-viettel/sourcecode/application/config/database.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/database.php	(revision 289)
+++ pro-violet-viettel/sourcecode/application/config/database.php	(revision 291)
@@ -49,9 +49,9 @@
 $active_record = TRUE;
 
-$db['default']['hostname'] = '';
-$db['default']['username'] = '';
-$db['default']['password'] = '';
-$db['default']['database'] = '';
-$db['default']['dbdriver'] = '';
+$db['default']['hostname'] = 'mysql:host=127.0.0.1';
+$db['default']['username'] = 'root';
+$db['default']['password'] = '123456';
+$db['default']['database'] = 'violet-viettel';
+$db['default']['dbdriver'] = 'pdo';
 $db['default']['dbprefix'] = '';
 $db['default']['pconnect'] = TRUE;
@@ -66,37 +66,4 @@
 
 
-/* $db['default']['hostname'] = 'mysql:host=localhost';
-$db['default']['username'] = 'root';
-$db['default']['password'] = 'root';
-$db['default']['database'] = 'bachkim';
-$db['default']['dbdriver'] = 'pdo';
-$db['default']['dbprefix'] = '';
-$db['default']['pconnect'] = TRUE;
-$db['default']['db_debug'] = TRUE;
-$db['default']['cache_on'] = FALSE;
-$db['default']['cachedir'] = '';
-$db['default']['char_set'] = 'utf8';
-$db['default']['dbcollat'] = 'utf8_general_ci';
-$db['default']['swap_pre'] = '';
-$db['default']['autoinit'] = TRUE;
-$db['default']['stricton'] = FALSE; */
-
-
-/* $db['newDB']['hostname'] = 'mysql:host=localhost';
-$db['newDB']['username'] = 'root';
-$db['newDB']['password'] = 'root';
-$db['newDB']['database'] = 'new_newDB';
-$db['newDB']['dbdriver'] = 'pdo';
-$db['newDB']['dbprefix'] = '';
-$db['newDB']['pconnect'] = TRUE;
-$db['newDB']['db_debug'] = TRUE;
-$db['newDB']['cache_on'] = FALSE;
-$db['newDB']['cachedir'] = '';
-$db['newDB']['char_set'] = 'utf8';
-$db['newDB']['dbcollat'] = 'utf8_general_ci';
-$db['newDB']['swap_pre'] = '';
-$db['newDB']['autoinit'] = TRUE;
-$db['newDB']['stricton'] = FALSE; */
-
 /* End of file database.php */
 /* Location: ./application/config/database.php */
Index: pro-violet-viettel/sourcecode/log.txt
===================================================================
--- pro-violet-viettel/sourcecode/log.txt	(revision 291)
+++ pro-violet-viettel/sourcecode/log.txt	(revision 291)
@@ -0,0 +1,33 @@
+'<tree parent_id="" err="" errCode="">
+  <!-- folders in current folder -->
+  <folderlist>
+      <folder id="1" parentid="-1">Dir1</folder>
+      <folder id="20" parentid="-1">Dir2</folder>
+      <folder id="64" parentid="-1">Dir4</folder>
+      <folder id="229" parentid="-1">Dir3</folder>
+      <folder id="497" parentid="-1">Dir5</folder>
+      <folder id="4" parentid="1">Dir1.1</folder>
+      <folder id="5" parentid="1">Dir1.2</folder>
+      <folder id="15" parentid="1">Dir1.3</folder>
+      <folder id="16" parentid="1">Dir1.4</folder>
+      <folder id="17" parentid="1">Dir1.5</folder>
+      <folder id="18" parentid="1">Dir1.6</folder>
+      <folder id="19" parentid="1">Dir1.7</folder>
+      <folder id="65" parentid="1">Dir1.8</folder>
+      <folder id="66" parentid="16">Dir1.4.1</folder>
+      <folder id="68" parentid="16">Dir1.4.2</folder>
+      <folder id="62" parentid="20">Dir2.1</folder>
+      <folder id="67" parentid="66">Dir1.4.1.1</folder>
+      <folder id="500" parentid="229">Dir5.1</folder>
+      <folder id="498" parentid="497">Dir5.1</folder>
+    </folderlist>
+  <!-- files in current folder -->
+  <filelist>
+      <file id="95" parentid="0" filetype="jpg">25.jpg</file>
+      <file id="96" parentid="0" filetype="jpg">25.jpg</file>
+      <file id="47" parentid="4" filetype="jpg">25.jpg</file>
+      <file id="6" parentid="1" filetype="text">File in Dir 1</file>
+      <file id="64" parentid="1" filetype="jpg">heading2.jpg</file>
+      <file id="46" parentid="1" filetype="jpg">heading2.jpg</file>
+    </filelist>
+</tree>'