Index: /pro-violet-viettel/docs/Space/admin_acc.html
===================================================================
--- /pro-violet-viettel/docs/Space/admin_acc.html	(revision 291)
+++ /pro-violet-viettel/docs/Space/admin_acc.html	(revision 292)
@@ -634,4 +634,5 @@
 															</span>
 														</div>
+														<div class="help-block"> </div>
 													</div>
 
@@ -647,4 +648,5 @@
 															</span>
 														</div>
+														<div class="help-block"> </div>
 													</div>
 
Index: /pro-violet-viettel/docs/Space/assistant_acc.html
===================================================================
--- /pro-violet-viettel/docs/Space/assistant_acc.html	(revision 291)
+++ /pro-violet-viettel/docs/Space/assistant_acc.html	(revision 292)
@@ -637,4 +637,5 @@
 															</span>
 														</div>
+														<div class="help-block"> </div>
 													</div>
 
@@ -650,4 +651,5 @@
 															</span>
 														</div>
+														<div class="help-block"> </div>
 													</div>
 
Index: /pro-violet-viettel/docs/Space/home.html
===================================================================
--- /pro-violet-viettel/docs/Space/home.html	(revision 291)
+++ /pro-violet-viettel/docs/Space/home.html	(revision 292)
@@ -58,18 +58,20 @@
 											</h4>
 
-											<form>
+											<form action="index-user.html" id="validation-form" method="get">
 												<fieldset>
+													<label class="block clearfix has-error">
+														<span class="block input-icon input-icon-right">
+															<input type="text" class="form-control" name="account" placeholder="TÃ i khoáº£n | Sá» Äiá»n thoáº¡i" />
+															<i class="icon-user"></i>
+														</span>
+														<div class="help-block">help! </div>
+													</label>
+
 													<label class="block clearfix">
 														<span class="block input-icon input-icon-right">
-															<input type="text" class="form-control" placeholder="TÃ i khoáº£n | Sá» Äiá»n thoáº¡i" />
-															<i class="icon-user"></i>
-														</span>
-													</label>
-
-													<label class="block clearfix">
-														<span class="block input-icon input-icon-right">
-															<input type="password" class="form-control" placeholder="Máº­t kháº©u" />
+															<input type="password" class="form-control" name="password" placeholder="Máº­t kháº©u" />
 															<i class="icon-lock"></i>
 														</span>
+														<div class="help-block"> </div>
 													</label>
 
@@ -83,5 +85,5 @@
 
 														<a href="index-user.html" title="">
-															<button type="button" class="pull-right btn btn-sm btn-primary">
+															<button type="submit" id="login-button" class="pull-right btn btn-sm btn-primary">
 																<i class="icon-key"></i>
 																ÄÄng nháº­p
@@ -133,4 +135,5 @@
 															<i class="icon-phone"></i>
 														</span>
+														<div class="help-block"> </div>
 													</label>
 
@@ -170,14 +173,16 @@
 													<label class="block clearfix">
 														<span class="block input-icon input-icon-right">
-															<input type="text" class="form-control" placeholder="Sá» Äiá»n thoáº¡i" />
+															<input type="text" class="form-control" name="account" placeholder="Sá» Äiá»n thoáº¡i" />
 															<i class="icon-user"></i>
 														</span>
-													</label>
-													
+														<div class="help-block"> </div>
+													</label>
+
 													<label class="block clearfix">
 														<span class="block input-icon input-icon-right">
-															<input type="text" class="form-control" placeholder="MÃ£ CTV" />
+															<input type="text" class="form-control" name="codeCTV" placeholder="MÃ£ CTV" />
 															<i class="icon-male"></i>
 														</span>
+														<div class="help-block"> </div>
 													</label>
 
@@ -198,5 +203,5 @@
 														</button>
 
-														<button type="button" class="width-65 pull-right btn btn-sm btn-success">
+														<button type="button" id="register-button" class="width-65 pull-right btn btn-sm btn-success">
 															HoÃ n táº¥t
 															<i class="icon-arrow-right icon-on-right"></i>
@@ -223,12 +228,24 @@
 		</div><!-- /.main-container -->
 
-		<div class="modal fade" id="error-login" tabindex="-1" role="dialog"aria-hidden="true">
+		<div class="modal fade" id="modal-login" tabindex="-1" role="dialog"aria-hidden="true">
 		  <div class="modal-dialog">
 		    <div class="modal-content">
 		      <div class="modal-header">
 		        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-		        <h4 class="modal-title">Báº¡n chÆ°a ÄÄng nháº­p</h4>
+		        <h4 class="modal-title">ÄÄng nháº­p há» thá»ng</h4>
 		      </div>
 		      <div class="modal-body">
+		      	<div class="alert alert-block alert-success">
+							<button type="button" class="close" data-dismiss="alert">
+								<i class="icon-remove"></i>
+							</button>
+							<strong>
+								<i class="icon-ok"></i>
+								ÄÄng kÃœ tÃ i khoáº£n thÃ nh cÃŽng !
+							</strong>
+							<p>
+								Há» thá»ng ÄÃ£ gá»­i máº­t kháº©u vÃ o sá» Äiá»n thoáº¡i ÄÄng kÃœ cá»§a báº¡n.
+							</p>
+						</div>
 		        <form>
 							<fieldset>
@@ -278,5 +295,8 @@
 		</script>
 		<script src="assets/js/bootstrap.min.js"></script>
-
+		<script src="assets/js/jquery.validate.min.js"></script>
+
+		<script src="assets/js/ace-elements.min.js"></script>
+		<script src="assets/js/ace.min.js"></script>
 		<!-- <![endif]-->
 
@@ -298,4 +318,42 @@
 			 jQuery('#'+id).addClass('visible');
 			}
+
+			$('#register-button').click(function(){
+					$('#modal-login').modal('show')
+			})
+
+			$('#validation-form').validate({
+				errorElement: 'label',
+				errorClass: 'help-block',
+				focusInvalid: true,
+				rules: {
+					password: {
+						required: true,
+						minlength: 5
+					},
+					account: {
+						required: true
+					}
+				},
+		
+				messages: {
+					account: {
+						required: "Please provide a valid email.",
+					},
+					password: {
+						required: "Please specify a password.",
+						minlength: "Please specify a secure password."
+					}
+				},
+
+				highlight: function (e) {
+					$(e).closest('label').removeClass('has-info').addClass('has-error');
+				},
+		
+				success: function (e) {
+					$(e).closest('label').removeClass('has-error').addClass('has-info');
+					$(e).remove();
+				},
+			});
 		</script>
 	</body>
Index: /pro-violet-viettel/docs/Space/login.html
===================================================================
--- /pro-violet-viettel/docs/Space/login.html	(revision 291)
+++ /pro-violet-viettel/docs/Space/login.html	(revision 292)
@@ -59,4 +59,5 @@
 															<i class="icon-user"></i>
 														</span>
+														<div class="help-block"> </div>
 													</label>
 
@@ -66,4 +67,5 @@
 															<i class="icon-lock"></i>
 														</span>
+														<div class="help-block"> </div>
 													</label>
 
Index: /pro-violet-viettel/docs/Space/user_acc.html
===================================================================
--- /pro-violet-viettel/docs/Space/user_acc.html	(revision 291)
+++ /pro-violet-viettel/docs/Space/user_acc.html	(revision 292)
@@ -637,4 +637,5 @@
 															</span>
 														</div>
+														<div class="help-block"> </div>
 													</div>
 
@@ -650,4 +651,5 @@
 															</span>
 														</div>
+														<div class="help-block"> </div>
 													</div>
 
@@ -661,4 +663,5 @@
 															<span title="" data-content="Äiá»n mÃ£ cá»§a cá»ng tÃ¡c viÃªn ÄÄng kÃœ cho khÃ¡ch hÃ ng" data-placement="left" data-trigger="hover" data-rel="popover" class="help-button" data-original-title="Trá»£ giÃºp">?</span>
 														</div>
+														<div class="help-block"> </div>
 													</div>
 