Index: pro-violet-viettel/docs/Space/home.html
===================================================================
--- pro-violet-viettel/docs/Space/home.html	(revision 292)
+++ pro-violet-viettel/docs/Space/home.html	(revision 303)
@@ -39,8 +39,8 @@
 					<div class="space-6"></div>
 					<div class="col-sm-8">
-						<div class="title-box">
-							<h1>Violet <small>Space</small></h1>
+						<div class="title-box col-sm-3">
+							<img src="assets/img/logo_Violet_space_black.png" class="img-responsive">
 						</div>
-						<div class="title-box">
+						<div class="title-box col-sm-12">
 							<h3>Dá»ch vá»¥ lÆ°u trá»¯ trá»±c tuyáº¿n dá»¯ liá»u bÃ i giáº£ng cá»§a <a href="violet.vn">Violet.vn</a></h3>
 						</div>
@@ -55,5 +55,5 @@
 											<h4 class="header blue lighter bigger">
 												<i class="icon-cloud-upload green"></i>
-												VIOLET SPACE |<small>ÄÄng nháº­p</small>
+												VIOLET SPACE | <small><a href="#" data-toggle="modal" data-target="#modal-signup">ÄÄng kÃœ</a></small>
 											</h4>
 
@@ -65,5 +65,5 @@
 															<i class="icon-user"></i>
 														</span>
-														<div class="help-block">help! </div>
+														<div class="help-block"></div>
 													</label>
 
@@ -96,128 +96,7 @@
 											</form>
 										</div><!-- /widget-main -->
-
-										<div class="toolbar clearfix">
-											<div>
-												<a href="#" onclick="show_box('forgot-box'); return false;" class="forgot-password-link">
-													<i class="icon-arrow-left"></i>
-													QuÃªn máº­t kháº©u
-												</a>
-											</div>
-
-											<div>
-												<a href="#" onclick="show_box('signup-box'); return false;" class="user-signup-link">
-													ÄÄng kÃœ tÃ i khoáº£n
-													<i class="icon-arrow-right"></i>
-												</a>
-											</div>
-										</div>
 									</div><!-- /widget-body -->
 								</div><!-- /login-box -->
 
-								<div id="forgot-box" class="forgot-box widget-box no-border" style="background: transparent">
-									<div class="widget-body" style="background:transparent">
-										<div class="widget-main" style="background:transparent">
-											<h4 class="header red lighter bigger">
-												<i class="icon-key"></i>
-												Nháº­n láº¡i máº­t kháº©u
-											</h4>
-
-											<div class="space-6"></div>
-											<p>
-												Äiá»n sá» Äiá»n thoáº¡i ÄÄng kÃœ tÃ i khoáº£n cá»§a báº¡n
-											</p>
-
-											<form>
-												<fieldset>
-													<label class="block clearfix">
-														<span class="block input-icon input-icon-right">
-															<input type="email" class="form-control" placeholder="Sá» Äiá»n thoáº¡i" />
-															<i class="icon-phone"></i>
-														</span>
-														<div class="help-block"> </div>
-													</label>
-
-													<div class="clearfix">
-														<button type="button" class="pull-right btn btn-sm btn-danger">
-															<i class="icon-lightbulb"></i>
-															Gá»­i!
-														</button>
-													</div>
-												</fieldset>
-											</form>
-										</div><!-- /widget-main -->
-
-										<div class="toolbar center">
-											<a href="#" onclick="show_box('login-box'); return false;" class="back-to-login-link">
-												ÄÄng nháº­p
-												<i class="icon-arrow-right"></i>
-											</a>
-										</div>
-									</div><!-- /widget-body -->
-								</div><!-- /forgot-box -->
-
-								<div id="signup-box" class="signup-box widget-box no-border" style="background: transparent">
-									<div class="widget-body" style="background:transparent">
-										<div class="widget-main" style="background:transparent">
-											<h4 class="header green lighter bigger">
-												<i class="icon-group blue"></i>
-												ÄÄng kÃœ thÃ nh viÃªn
-											</h4>
-
-											<div class="space-6"></div>
-											<p> Äiá»n Äáº§y Äá»§ thÃŽng tin sau: </p>
-
-											<form>
-												<fieldset>
-
-													<label class="block clearfix">
-														<span class="block input-icon input-icon-right">
-															<input type="text" class="form-control" name="account" placeholder="Sá» Äiá»n thoáº¡i" />
-															<i class="icon-user"></i>
-														</span>
-														<div class="help-block"> </div>
-													</label>
-
-													<label class="block clearfix">
-														<span class="block input-icon input-icon-right">
-															<input type="text" class="form-control" name="codeCTV" placeholder="MÃ£ CTV" />
-															<i class="icon-male"></i>
-														</span>
-														<div class="help-block"> </div>
-													</label>
-
-													<label class="block">
-														<input type="checkbox" class="ace" />
-														<span class="lbl">
-															TÃŽi Äá»ng Ãœ vá»i
-															<a href="#">Äiá»u khoáº£n sá»­ dá»¥ng cá»§a Violet</a>
-														</span>
-													</label>
-
-													<div class="space-24"></div>
-
-													<div class="clearfix">
-														<button type="reset" class="width-30 pull-left btn btn-sm">
-															<i class="icon-refresh"></i>
-															XÃ³a háº¿t
-														</button>
-
-														<button type="button" id="register-button" class="width-65 pull-right btn btn-sm btn-success">
-															HoÃ n táº¥t
-															<i class="icon-arrow-right icon-on-right"></i>
-														</button>
-													</div>
-												</fieldset>
-											</form>
-										</div>
-
-										<div class="toolbar center">
-											<a href="#" onclick="show_box('login-box'); return false;" class="back-to-login-link">
-												<i class="icon-arrow-left"></i>
-												ÄÄng nháº­p
-											</a>
-										</div>
-									</div><!-- /widget-body -->
-								</div><!-- /signup-box -->
 							</div><!-- /position-relative -->
 						</div>
@@ -228,59 +107,21 @@
 		</div><!-- /.main-container -->
 
-		<div class="modal fade" id="modal-login" tabindex="-1" role="dialog"aria-hidden="true">
+		<div class="modal fade" id="modal-signup" tabindex="-1" role="dialog"aria-hidden="true">
 		  <div class="modal-dialog">
 		    <div class="modal-content">
 		      <div class="modal-header">
 		        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-		        <h4 class="modal-title">ÄÄng nháº­p há» thá»ng</h4>
+		        <h4 class="modal-title">ÄÄng kÃœ tÃ i khoáº£n</h4>
 		      </div>
 		      <div class="modal-body">
-		      	<div class="alert alert-block alert-success">
-							<button type="button" class="close" data-dismiss="alert">
-								<i class="icon-remove"></i>
-							</button>
+		      	<div class="alert alert-block alert-success">						
+							<p>
+								Äá» ÄÄng kÃœ tÃ i khoáº£n tÃ i khoáº£n Violet Space
+							</p>
 							<strong>
-								<i class="icon-ok"></i>
-								ÄÄng kÃœ tÃ i khoáº£n thÃ nh cÃŽng !
+								<i class="icon-commnet"></i>
+								Soáº¡n tin: SBG DK gá»­i 8162
 							</strong>
-							<p>
-								Há» thá»ng ÄÃ£ gá»­i máº­t kháº©u vÃ o sá» Äiá»n thoáº¡i ÄÄng kÃœ cá»§a báº¡n.
-							</p>
 						</div>
-		        <form>
-							<fieldset>
-								<label class="block clearfix">
-									<span class="block input-icon input-icon-right">
-										<input type="text" class="form-control" placeholder="TÃ i khoáº£n | Sá» Äiá»n thoáº¡i" />
-										<i class="icon-user"></i>
-									</span>
-								</label>
-
-								<label class="block clearfix">
-									<span class="block input-icon input-icon-right">
-										<input type="password" class="form-control" placeholder="Máº­t kháº©u" />
-										<i class="icon-lock"></i>
-									</span>
-								</label>
-
-								<div class="space"></div>
-
-								<div class="clearfix">
-									<label class="inline">
-										<input type="checkbox" class="ace" />
-										<span class="lbl"> Ghi nhá»</span>
-									</label>
-
-									<a href="index-user.html" title="">
-										<button type="button" class="pull-right btn btn-sm btn-primary">
-											<i class="icon-key"></i>
-											ÄÄng nháº­p
-										</button>
-									</a>
-								</div>
-
-								<div class="space-4"></div>
-							</fieldset>
-						</form>
 		      </div>
 		    </div>
@@ -330,5 +171,4 @@
 					password: {
 						required: true,
-						minlength: 5
 					},
 					account: {
@@ -339,9 +179,8 @@
 				messages: {
 					account: {
-						required: "Please provide a valid email.",
+						required: "Vui lÃ²ng nháº­p tÃ i khoáº£n hoáº·c sá» Äiá»n thoáº¡i",
 					},
 					password: {
-						required: "Please specify a password.",
-						minlength: "Please specify a secure password."
+						required: "Vui lÃ²ng nháº­p máº­t kháº©u.",
 					}
 				},