Index: pro-violet-viettel/docs/Space/frontend-home.html
===================================================================
--- pro-violet-viettel/docs/Space/frontend-home.html	(revision 304)
+++ 	(revision )
@@ -1,395 +1,0 @@
-<!DOCTYPE html>
-<html lang="en">
-	<head>
-		<meta charset="utf-8" />
-		<title>Space</title>
-
-		<meta name="description" content="overview &amp; stats" />
-		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
-
-		<link href="assets/css/bootstrap.min.css" rel="stylesheet" />
-		<link rel="stylesheet" href="assets/css/font-awesome.min.css" />
-		<link rel="stylesheet" href="assets/css/dropzone.css" />
-		<link rel="stylesheet" href="assets/css/ace-fonts.css" />
-
-		<link rel="stylesheet" href="assets/css/ace.min.css" />
-		<link rel="stylesheet" href="assets/css/ace-rtl.min.css" />
-		<link rel="stylesheet" href="assets/css/ace-skins.min.css" />
-
-		<script src="assets/js/ace-extra.min.js"></script>
-		<style type="text/css" media="screen">
-			.sidebar:before, .sidebar {background-color: transparent;}
-		</style>
-		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
-
-		<!--[if lt IE 9]>
-		<script src="assets/js/html5shiv.js"></script>
-		<script src="assets/js/respond.min.js"></script>
-		<![endif]-->
-	</head>
-
-	<body>
-		<div class="navbar navbar-default navbar-fixed-top" id="navbar">
-			<script type="text/javascript">
-				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
-			</script>
-
-			<div class="navbar-container" id="navbar-container">
-				<div class="navbar-header pull-left">
-					<a href="#" class="navbar-brand">
-						<img src="assets/img/logo_Violet_space_white.png" width="150" class="img-responsive">
-					</a><!-- /.brand -->
-				</div><!-- /.navbar-header -->
-
-				<div class="navbar-header pull-right" role="navigation">
-					<ul class="nav ace-nav">
-						<li>
-							<a data-toggle="dropdown" class="dropdown-toggle" href="#">
-								<i class="icon-bell-alt icon-animated-bell"></i>
-								<span class="badge badge-important">8</span>
-							</a>
-
-							<ul class="pull-right dropdown-navbar navbar-pink dropdown-menu dropdown-caret dropdown-close">
-								<li class="dropdown-header">
-									<i class="icon-warning-sign"></i>
-									8 ThÃŽng bÃ¡o má»i
-								</li>
-
-								<li>
-									<a href="#">
-										<div class="clearfix">
-											<span class="pull-left">
-												<i class="btn btn-xs no-hover btn-pink icon-comment"></i>
-												New Comments
-											</span>
-											<span class="pull-right badge badge-info">+12</span>
-										</div>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<i class="btn btn-xs btn-primary icon-user"></i>
-										Bob just signed up as an editor ...
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<div class="clearfix">
-											<span class="pull-left">
-												<i class="btn btn-xs no-hover btn-success icon-shopping-cart"></i>
-												New Orders
-											</span>
-											<span class="pull-right badge badge-success">+8</span>
-										</div>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<div class="clearfix">
-											<span class="pull-left">
-												<i class="btn btn-xs no-hover btn-info icon-twitter"></i>
-												Followers
-											</span>
-											<span class="pull-right badge badge-info">+11</span>
-										</div>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										Xem táº¥t cáº£
-										<i class="icon-arrow-right"></i>
-									</a>
-								</li>
-							</ul>
-						</li>
-
-						<li>
-							<a data-toggle="dropdown" class="dropdown-toggle" href="#">
-								<i class="icon-envelope icon-animated-vertical"></i>
-								<span class="badge badge-success">5</span>
-							</a>
-
-							<ul class="pull-right dropdown-navbar dropdown-menu dropdown-caret dropdown-close">
-								<li class="dropdown-header">
-									<i class="icon-envelope-alt"></i>
-									5 Tin nháº¯n
-								</li>
-
-								<li>
-									<a href="#">
-										<img src="assets/avatars/avatar.png" class="msg-photo" alt="Alex's Avatar" />
-										<span class="msg-body">
-											<span class="msg-title">
-												<span class="blue">Alex:</span>
-												Ciao sociis natoque penatibus et auctor ...
-											</span>
-
-											<span class="msg-time">
-												<i class="icon-time"></i>
-												<span>a moment ago</span>
-											</span>
-										</span>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<img src="assets/avatars/avatar3.png" class="msg-photo" alt="Susan's Avatar" />
-										<span class="msg-body">
-											<span class="msg-title">
-												<span class="blue">Susan:</span>
-												Vestibulum id ligula porta felis euismod ...
-											</span>
-
-											<span class="msg-time">
-												<i class="icon-time"></i>
-												<span>20 minutes ago</span>
-											</span>
-										</span>
-									</a>
-								</li>
-
-								<li>
-									<a href="#">
-										<img src="assets/avatars/avatar4.png" class="msg-photo" alt="Bob's Avatar" />
-										<span class="msg-body">
-											<span class="msg-title">
-												<span class="blue">Bob:</span>
-												Nullam quis risus eget urna mollis ornare ...
-											</span>
-
-											<span class="msg-time">
-												<i class="icon-time"></i>
-												<span>3:15 pm</span>
-											</span>
-										</span>
-									</a>
-								</li>
-
-								<li>
-									<a href="inbox.html">
-										Xem táº¥t cáº£
-										<i class="icon-arrow-right"></i>
-									</a>
-								</li>
-							</ul>
-						</li>
-
-						<li>
-							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
-								<img class="nav-user-photo" src="assets/avatars/user.jpg" alt="Admin's Photo" />
-								<span class="user-info">
-									<small>Xin chÃ o,</small>
-									Admin
-								</span>
-
-								<i class="icon-caret-down"></i>
-							</a>
-
-							<ul class="user-menu pull-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
-								<li>
-									<a href="frontend-user_profile.html">
-										<i class="icon-user"></i>
-										ThÃŽng tin cÃ¡ nhÃ¢n
-									</a>
-								</li>
-
-								<li class="divider"></li>
-
-								<li>
-									<a href="frontend-index.html">
-										<i class="icon-off"></i>
-										ThoÃ¡t
-									</a>
-								</li>
-							</ul>
-						</li>
-					</ul><!-- /.ace-nav -->
-				</div><!-- /.navbar-header -->
-			</div><!-- /.container -->
-		</div>
-
-		<div class="main-container" id="main-container">
-			<script type="text/javascript">
-				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
-			</script>
-
-			<div class="main-container-inner">
-				<a class="menu-toggler" id="menu-toggler" href="#">
-					<span class="menu-text"></span>
-				</a>
-
-				<div class="sidebar sidebar-fixed" id="sidebar">
-					<script type="text/javascript">
-						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
-					</script>
-
-					<div class="sidebar-shortcuts" id="sidebar-shortcuts">
-						<div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large" style="line-height:normal">
-							<div data-percent="66%" class="progress progress-striped active" style="margin-bottom:0">
-								<div style="width:66%;" class="progress-bar"></div>
-							</div>
-							<span>66 GB / 100 GB</span>
-						</div>
-
-						<div class="sidebar-shortcuts-mini" id="sidebar-shortcuts-mini">
-							<span class="btn btn-success"></span>
-
-							<span class="btn btn-info"></span>
-
-							<span class="btn btn-warning"></span>
-
-							<span class="btn btn-danger"></span>
-						</div>
-					</div><!-- #sidebar-shortcuts -->
-
-					<nav class="navbar navbar-minimal animate open" role="navigation" style="background:transparent">
-						<ul class="navbar-menu animate">
-							<li>
-								<a href="#" class="animate">
-									<span class="desc animate"> Violet Online </span>
-									<img src="assets/img/logo_Violet.png" width="28" class="img-responsive pull-right">
-								</a>
-							</li>
-							<li>
-								<a href="http://space.violet.vn" class="animate">
-									<span class="desc animate"> Violet Space </span>
-									<img src="assets/img/logo_Violet_space_black_box.png" width="28" class="img-responsive pull-right">
-								</a>
-							</li>
-							<li>
-								<a href="#" class="animate">
-									<span class="desc animate"> Thanh toÃ¡n </span>
-									<img src="assets/img/payment.png" width="28" class="img-responsive pull-right">
-								</a>
-							</li>
-							<li>
-								<a href="user_profile.html" class="animate">
-									<span class="desc animate"> ThÃŽng tin cÃ¡ nhÃ¢n </span>
-									<img src="assets/img/profile.png" width="28" class="img-responsive pull-right">
-								</a>
-							</li>
-						</ul>
-					</nav>
-
-
-				</div>
-
-				<div class="main-content">
-
-					<div class="page-content no-padding">
-
-								<!-- PAGE CONTENT BEGINS -->
-								
-								<img src="assets/img/soanbai.PNG" class="img-responsive" alt="">
-
-								<!-- PAGE CONTENT ENDS -->
-
-					</div><!-- /.page-content -->
-				</div><!-- /.main-content -->
-			</div><!-- /.main-container-inner -->
-
-			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
-				<i class="icon-double-angle-up icon-only bigger-110"></i>
-			</a>
-		</div><!-- /.main-container -->
-
-		<div class="modal fade" id="alert-services" tabindex="-1" role="dialog"aria-hidden="true">
-		  <div class="modal-dialog">
-		    <div class="modal-content">
-		      <div class="modal-header">
-		        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-		        <h4 class="modal-title">ThÃŽng bÃ¡o dá»ch vá»¥</h4>
-		      </div>
-		      <div class="modal-body">
-		      	<div class="alert alert-block alert-success">						
-							<p>
-								QuÃ­ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n. QuÃ­ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n trÆ°á»c khi ÄÄng kÃ­.
-							</p>
-						</div>
-		      </div>
-
-		      <div class="modal-footer">
-		      	<button type="button" class="btn btn-info">DÃ¹ng thá»­</button>
-		      	<button type="button" class="btn btn-success">ÄÄng kÃœ</button>
-		      </div>
-		    </div>
-		  </div>
-		</div>
-
-		<div class="modal fade" id="alert-update-info" tabindex="-1" role="dialog"aria-hidden="true">
-		  <div class="modal-dialog">
-		    <div class="modal-content">
-		      <div class="modal-header">
-		        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-		        <h4 class="modal-title">ThÃŽng bÃ¡o dá»ch vá»¥</h4>
-		      </div>
-		      <div class="modal-body">
-		      	<div class="alert alert-block alert-success">						
-							<p>
-								QuÃ­ vá» hÃ£y nháº­p thÃŽng tin cÃ¡ nhÃ¢n Äá» cÃ³ thá» sá»­ dá»¥ng dá»ch vá»¥.
-							</p>
-						</div>
-		      </div>
-
-		      <div class="modal-footer">
-		      	<button type="button" class="btn btn-info">Tiáº¿p tá»¥c</button>
-		      </div>
-		    </div>
-		  </div>
-		</div>
-
-		<!-- basic scripts -->
-
-		<!--[if !IE]> -->
-
-		<script type="text/javascript">
-			window.jQuery || document.write("<script src='assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
-		</script>
-
-		<!-- <![endif]-->
-
-		<!--[if IE]>
-<script type="text/javascript">
- window.jQuery || document.write("<script src='assets/js/jquery-1.10.2.min.js'>"+"<"+"/script>");
-</script>
-<![endif]-->
-
-		<script type="text/javascript">
-			if("ontouchend" in document) document.write("<script src='assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
-		</script>
-		<script src="assets/js/bootstrap.min.js"></script>
-		<script src="assets/js/typeahead-bs2.min.js"></script>
-
-		<!-- page specific plugin scripts -->
-
-		<!--[if lte IE 8]>
-		  <script src="assets/js/excanvas.min.js"></script>
-		<![endif]-->
-		<script src="assets/js/dropzone.min.js"></script>
-
-		<script src="assets/js/fuelux/data/fuelux.tree-sampledata.js"></script>
-		<script src="assets/js/fuelux/fuelux.tree.min.js"></script>
-
-		<script src="assets/js/jquery-ui-1.10.3.custom.min.js"></script>
-		<script src="assets/js/jquery.ui.touch-punch.min.js"></script>
-		<script src="assets/js/jquery.slimscroll.min.js"></script>
-
-		<!-- ace scripts -->
-
-		<script src="assets/js/ace-elements.min.js"></script>
-		<script src="assets/js/ace.min.js"></script>
-
-		<!-- inline scripts related to this page -->
-
-		<script type="text/javascript">
-			$(document).ready(function(){
-				$('#alert-services').modal('show')
-			})
-		</script>
-	</body>
-</html>